Loading...
Searching...
No Matches
xccdf_rule Struct Reference
XCCDF

XCCDF rule defines a test execution. More...

`#include <xccdf_benchmark.h>`

## Public Member Functions

OSCAP_API struct xccdf_rule * | xccdf_rule_new (void)
OSCAP_API void | xccdf_rule_free (struct xccdf_item *rule)
OSCAP_API struct xccdf_item * | xccdf_rule_to_item (struct xccdf_rule *item)
OSCAP_API struct xccdf_rule * | xccdf_rule_clone (const struct xccdf_rule *rule)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct xccdf_item * | xccdf_rule_get_parent (const struct xccdf_rule *rule)
| Return rule's parent in the grouping hierarchy.
OSCAP_API const char * | xccdf_rule_get_id (const struct xccdf_rule *rule)
OSCAP_API struct oscap_text_iterator * | xccdf_rule_get_title (const struct xccdf_rule *rule)
OSCAP_API struct oscap_text_iterator * | xccdf_rule_get_description (const struct xccdf_rule *rule)
OSCAP_API const char * | xccdf_rule_get_version (const struct xccdf_rule *rule)
OSCAP_API struct oscap_text_iterator * | xccdf_rule_get_question (const struct xccdf_rule *rule)
OSCAP_API struct xccdf_warning_iterator * | xccdf_rule_get_warnings (const struct xccdf_rule *rule)
OSCAP_API struct oscap_stringlist * | xccdf_rule_get_warnings_strings (struct xccdf_rule *rule)
OSCAP_API struct oscap_text_iterator * | xccdf_rule_get_rationale (const struct xccdf_rule *rule)
OSCAP_API const char * | xccdf_rule_get_cluster_id (const struct xccdf_rule *rule)
OSCAP_API float | xccdf_rule_get_weight (const struct xccdf_rule *rule)
OSCAP_API bool | xccdf_rule_set_weight (struct xccdf_rule *item, xccdf_numeric newval)
OSCAP_API const char * | xccdf_rule_get_extends (const struct xccdf_rule *rule)
OSCAP_API bool | xccdf_rule_get_abstract (const struct xccdf_rule *rule)
OSCAP_API bool | xccdf_rule_get_prohibit_changes (const struct xccdf_rule *rule)
OSCAP_API bool | xccdf_rule_get_hidden (const struct xccdf_rule *rule)
OSCAP_API bool | xccdf_rule_get_selected (const struct xccdf_rule *rule)
OSCAP_API bool | xccdf_rule_get_multiple (const struct xccdf_rule *rule)
OSCAP_API struct oscap_string_iterator * | xccdf_rule_get_platforms (const struct xccdf_rule *rule)
OSCAP_API struct xccdf_status_iterator * | xccdf_rule_get_statuses (const struct xccdf_rule *rule)
OSCAP_API struct oscap_reference_iterator * | xccdf_rule_get_dc_statuses (const struct xccdf_rule *rule)
OSCAP_API struct oscap_reference_iterator * | xccdf_rule_get_references (const struct xccdf_rule *rule)
OSCAP_API struct xccdf_status * | xccdf_rule_get_status_current (const struct xccdf_rule *rule)
OSCAP_API const char * | xccdf_rule_get_impact_metric (const struct xccdf_rule *rule)
OSCAP_API xccdf_role_t | xccdf_rule_get_role (const struct xccdf_rule *rule)
OSCAP_API xccdf_level_t | xccdf_rule_get_severity (const struct xccdf_rule *rule)
OSCAP_API struct xccdf_ident_iterator * | xccdf_rule_get_idents (const struct xccdf_rule *rule)
OSCAP_API struct xccdf_check_iterator * | xccdf_rule_get_checks (const struct xccdf_rule *rule)
OSCAP_API struct xccdf_profile_note_iterator * | xccdf_rule_get_profile_notes (const struct xccdf_rule *rule)
OSCAP_API struct xccdf_fix_iterator * | xccdf_rule_get_fixes (const struct xccdf_rule *rule)
OSCAP_API struct xccdf_fixtext_iterator * | xccdf_rule_get_fixtexts (const struct xccdf_rule *rule)
OSCAP_API struct oscap_string_iterator * | xccdf_rule_get_conflicts (const struct xccdf_rule *rule)
OSCAP_API struct oscap_stringlist_iterator * | xccdf_rule_get_requires (const struct xccdf_rule *rule)
OSCAP_API struct oscap_string_iterator * | xccdf_rule_get_metadata (const struct xccdf_rule *rule)
OSCAP_API const char * | xccdf_rule_get_version_update (const struct xccdf_rule *rule)
OSCAP_API const char * | xccdf_rule_get_version_time (const struct xccdf_rule *rule)
OSCAP_API struct xccdf_benchmark * | xccdf_rule_get_benchmark (const struct xccdf_rule *rule)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_rule_set_id (struct xccdf_rule *item, const char *newval)
OSCAP_API bool | xccdf_rule_set_cluster_id (struct xccdf_rule *item, const char *newval)
OSCAP_API bool | xccdf_rule_set_extends (struct xccdf_rule *item, const char *newval)
OSCAP_API bool | xccdf_rule_set_version (struct xccdf_rule *item, const char *newval)
OSCAP_API bool | xccdf_rule_set_version_time (struct xccdf_rule *item, const char *newval)
OSCAP_API bool | xccdf_rule_set_version_update (struct xccdf_rule *item, const char *newval)
OSCAP_API bool | xccdf_rule_set_abstract (struct xccdf_rule *item, bool newval)
OSCAP_API bool | xccdf_rule_set_hidden (struct xccdf_rule *item, bool newval)
OSCAP_API bool | xccdf_rule_set_prohibit_changes (struct xccdf_rule *item, bool newval)
OSCAP_API bool | xccdf_rule_set_selected (struct xccdf_rule *item, bool newval)
OSCAP_API bool | xccdf_rule_set_multiple (struct xccdf_rule *item, bool newval)
OSCAP_API bool | xccdf_rule_set_impact_metric (struct xccdf_rule *item, const char *newval)
OSCAP_API bool | xccdf_rule_set_role (struct xccdf_rule *item, xccdf_role_t newval)
OSCAP_API bool | xccdf_rule_set_severity (struct xccdf_rule *item, xccdf_level_t newval)
OSCAP_API bool | xccdf_rule_add_metadata (struct xccdf_rule *item, const char *metadata)
OSCAP_API bool | xccdf_rule_add_description (struct xccdf_rule *item, struct oscap_text *newval)
OSCAP_API bool | xccdf_rule_add_platform (struct xccdf_rule *item, const char *newval)
OSCAP_API bool | xccdf_rule_add_question (struct xccdf_rule *item, struct oscap_text *newval)
OSCAP_API bool | xccdf_rule_add_rationale (struct xccdf_rule *item, struct oscap_text *newval)
OSCAP_API bool | xccdf_rule_add_reference (struct xccdf_rule *item, struct oscap_reference *newval)
OSCAP_API bool | xccdf_rule_add_status (struct xccdf_rule *item, struct xccdf_status *newval)
OSCAP_API bool | xccdf_rule_add_dc_status (struct xccdf_rule *item, struct oscap_reference *newval)
OSCAP_API bool | xccdf_rule_add_title (struct xccdf_rule *item, struct oscap_text *newval)
OSCAP_API bool | xccdf_rule_add_warning (struct xccdf_rule *item, struct xccdf_warning *newval)
OSCAP_API bool | xccdf_rule_add_ident (struct xccdf_rule *item, struct xccdf_ident *newval)
OSCAP_API bool | xccdf_rule_add_check (struct xccdf_rule *item, struct xccdf_check *newval)
OSCAP_API bool | xccdf_rule_add_profile_note (struct xccdf_rule *item, struct xccdf_profile_note *newval)
OSCAP_API bool | xccdf_rule_add_fix (struct xccdf_rule *item, struct xccdf_fix *newval)
OSCAP_API bool | xccdf_rule_add_fixtext (struct xccdf_rule *item, struct xccdf_fixtext *newval)
OSCAP_API bool | xccdf_rule_add_requires (struct xccdf_rule *rule, struct oscap_stringlist *requires_)
OSCAP_API bool | xccdf_rule_add_conflicts (struct xccdf_rule *rule, const char *conflicts)

## Detailed Description

XCCDF rule defines a test execution.

Groups are in this module as well.

The documentation for this struct was generated from the following file:

- xccdf_benchmark.h